org.modeshape.jboss.subsystem

## Class AddRamIndexStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddIndexStorage
    - - org.modeshape.jboss.subsystem.AddRamIndexStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AddRamIndexStorage
      extends AbstractAddIndexStorage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AddRamIndexStorage` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `protected void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage, String repositoryName)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage

      `addControllersAndDependencies, performRuntime, requiresRuntime, writeIndexingBackendConfiguration, writeIndexStorageSpecificIndexingConfiguration`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AddRamIndexStorage INSTANCE

  - ### Method Detail

    - #### writeIndexStorageConfiguration

          protected void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                            org.jboss.dmr.ModelNode storage,
                                            EditableDocument indexStorage,
                                            String repositoryName)

      Specified by:
        `writeIndexStorageConfiguration` in class `AbstractAddIndexStorage`

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.